---
title: GET /structured-content/content-types
slug: content-marketing-platform/api/get-structured-contentcontent-types
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "JA6HnKjSJH9EnBHixkxe-",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/structured-content/content-types",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/structured-content/content-types",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /structured-content/content-types",
    "description": "<p>Experimental Get content types.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "source",
          "type": "string",
          "description": "Source of the content type"
        },
        {
          "kind": "optional",
          "name": "disabled",
          "type": "boolean",
          "description": "Disabled status of the content type",
          "default": true
        },
        {
          "kind": "optional",
          "name": "list",
          "type": "object",
          "description": "<p>List Type:</p>\n<ul>\n<li><code>1</code> - Component only</li>\n<li><code>2</code> - Content only</li>\n<li><code>3</code> - Component and Content only</li>\n</ul>",
          "default": "3",
          "customType": "ContentTypeListingOption",
          "schema": [],
          "modelRef": "#/components/schemas/ContentTypeListingOption"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "BaseContentTypeModel[]",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Name of the content type"
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "description": "Description of the content type"
              },
              {
                "name": "component",
                "kind": "required",
                "type": "boolean",
                "description": "Status determining whether the content type is a component"
              },
              {
                "name": "disabled",
                "kind": "optional",
                "type": "boolean",
                "description": "Disabled status of the content type"
              },
              {
                "name": "source",
                "kind": "optional",
                "type": "string",
                "description": "Source of the content type"
              },
              {
                "name": "thumbnail_guid",
                "kind": "optional",
                "type": "string",
                "description": "Thumbnail GUID of the content type"
              },
              {
                "name": "content_type_guid",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of the content type"
              },
              {
                "name": "created_by",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of the user who created the content type"
              },
              {
                "name": "updated_by",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of the user who last updated the content type"
              },
              {
                "name": "created_at",
                "kind": "required",
                "type": "string<date-time>",
                "description": "<p>Date and time on which the content type was created, in ISO 8601 UTC format</p>",
                "format": "date-time"
              },
              {
                "name": "updated_at",
                "kind": "required",
                "type": "string<date-time>",
                "description": "<p>Date and time on which the content type was last updated, in ISO 8601 UTC format</p>",
                "format": "date-time"
              },
              {
                "name": "source_id",
                "kind": "optional",
                "type": "string",
                "description": "Source of the content type"
              },
              {
                "name": "source_metadata",
                "kind": "optional",
                "type": "string",
                "description": "Source metadata of the content type"
              },
              {
                "name": "links",
                "kind": "required",
                "type": "object",
                "description": "Meta Links",
                "example": "",
                "schema": [
                  {
                    "name": "self",
                    "kind": "optional",
                    "type": "string",
                    "description": "URL of the content type",
                    "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b"
                  },
                  {
                    "name": "versions",
                    "kind": "optional",
                    "type": "string",
                    "description": "URL of the content type versions",
                    "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b/versions"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/BaseContentTypeModel",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Validation error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "HTTPValidationError",
            "schema": [
              {
                "name": "detail",
                "kind": "optional",
                "type": "array",
                "description": "Details of the error",
                "modelRef": "#/components/schemas/ValidationError",
                "customType": "ValidationError[]",
                "schema": [
                  {
                    "name": "loc",
                    "kind": "required",
                    "type": "array",
                    "description": "Locations where the error occurred",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "msg",
                    "kind": "required",
                    "type": "string",
                    "description": "Message describing the error"
                  },
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string",
                    "description": "Type of the error"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/HTTPValidationError",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "htLpdcSM0TCNUZLZdP_S6",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.cmp.optimizely.com/v3/structured-content/content-types?disabled=true&list=%223%22' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "_8g7n1WZMdXl4V82QtsOv",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/structured-content/content-types?disabled=true&list=\\\"3\\\"\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "oUu6bsxvSG55OIGWdu058",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/structured-content/content-types?disabled=true&list=\\\"3\\\"\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "s-cdWxWF4j5PbzTjdDRu1",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/structured-content/content-types?disabled=true&list=\\\"3\\\"\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "htLpdcSM0TCNUZLZdP_S6"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful response\n[\n  {\n    \"name\": \"\",\n    \"description\": \"\",\n    \"component\": false,\n    \"disabled\": false,\n    \"source\": \"\",\n    \"thumbnail_guid\": \"\",\n    \"content_type_guid\": \"\",\n    \"created_by\": \"\",\n    \"updated_by\": \"\",\n    \"created_at\": \"\",\n    \"updated_at\": \"\",\n    \"source_id\": \"\",\n    \"source_metadata\": \"\",\n    \"links\": {\n      \"self\": \"https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b\",\n      \"versions\": \"https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b/versions\"\n    }\n  }\n]"
        },
        {
          "id": "response-1-422",
          "language": "422",
          "code": "// Validation error\n{\n  \"detail\": [\n    {\n      \"loc\": [\n        \"\"\n      ],\n      \"msg\": \"\",\n      \"type\": \"\"\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}